import { Elements } from '@kontent-ai/delivery-sdk';
import { ElementType } from '@kontent-ai/delivery-sdk/dist/cjs/elements/element-type';
declare type ElementUpdateDataTemplate<TElement, TType extends ElementType> = {
    readonly type: TType;
    readonly data: Omit<TElement, 'type' | 'name'>;
};
export declare type AssetElementUpdateData = ElementUpdateDataTemplate<Elements.AssetsElement, ElementType.Asset>;
export declare type CustomElementUpdateData = ElementUpdateDataTemplate<Elements.CustomElement<any>, ElementType.Custom>;
export declare type DatetimeElementUpdateData = ElementUpdateDataTemplate<Elements.DateTimeElement, ElementType.DateTime>;
export declare type LinkedItemsElementUpdateData = ElementUpdateDataTemplate<Elements.LinkedItemsElement, ElementType.ModularContent>;
export declare type MultipleChoiceElementUpdateData = ElementUpdateDataTemplate<Elements.MultipleChoiceElement, ElementType.MultipleChoice>;
export declare type NumberElementUpdateData = ElementUpdateDataTemplate<Elements.NumberElement, ElementType.Number>;
export declare type RichTextElementUpdateData = ElementUpdateDataTemplate<Elements.RichTextElement, ElementType.RichText>;
export declare type TaxonomyElementUpdateData = ElementUpdateDataTemplate<Elements.TaxonomyElement, ElementType.Taxonomy>;
export declare type TextElementUpdateData = ElementUpdateDataTemplate<Elements.TextElement, ElementType.Text>;
export declare type UrlSlugElementUpdateData = ElementUpdateDataTemplate<Elements.UrlSlugElement, ElementType.UrlSlug>;
export declare type ElementUpdateData = AssetElementUpdateData | CustomElementUpdateData | DatetimeElementUpdateData | LinkedItemsElementUpdateData | MultipleChoiceElementUpdateData | NumberElementUpdateData | RichTextElementUpdateData | TaxonomyElementUpdateData | TextElementUpdateData | UrlSlugElementUpdateData;
export {};
